【活用ガイド】

JVNDB-2009-001104

libpng が適切にエレメントポインタを初期化しない脆弱性

概要

libpng にはエレメントポインタが適切に初期化されない脆弱性が存在します。

libpng のエレメントポインタの処理において脆弱性が存在し、エレメントポインタが適切に初期化されない可能性があります。本脆弱性は libpng-0.89c に含まれる複数の関数における off-by-one エラーに起因します。PNG Development Group から以下の情報が提供されています。

If the application runs out of memory during the loop, some of the element pointers will be uninitialized. Libpng will then longjmp to a cleanup process that attempts to free all of the elements in the array, including the uninitialized ones. This behavior could be forced by a malevolent input.
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 6.8 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


Mozilla Foundation
  • Mozilla Firefox 3.0.7 未満
  • Mozilla SeaMonkey 1.1.15 未満
  • Mozilla Thunderbird 2.0.0.21 未満
PNG Development Group
  • libpng 1.0.43 より前のバージョン
  • libpng 1.2.35 より前のバージョン
アップル
  • Safari Safari 4.0 未満
  • Apple Mac OS X v10.4.11
  • Apple Mac OS X v10.5 から v10.5.7
  • Apple Mac OS X Server v10.4.11
  • Apple Mac OS X Server v10.5 から v10.5.7
  • iOS 1.0 から 2.2.1
  • iOS for iPod touch 1.1 から 2.2.1
サン・マイクロシステムズ
  • OpenSolaris (sparc) 
  • OpenSolaris (x86) 
  • Sun Solaris 10 (sparc) 
  • Sun Solaris 10 (x86) 
  • Sun Solaris 9 (sparc) 
  • Sun Solaris 9 (x86) 
ニュートン
  • ImageKit 7 ActiveX
  • ImageKit 7 VCL
  • PostKit 2
フェンリル株式会社
  • PictBear 2.0 未満
ミラクル・リナックス
  • Asianux Server 3 (x86) 
  • Asianux Server 3 (x86-64) 
  • Asianux Server 2.0 
  • Asianux Server 2.1 
  • Asianux Server 3.0 
  • Asianux Server 3.0 (x86-64) 
  • Asianux Server 4.0 
  • Asianux Server 4.0 (x86-64) 
レッドハット
  • Red Hat Enterprise Linux 5 (server) 
  • Red Hat Enterprise Linux 2.1 (as) 
  • Red Hat Enterprise Linux 3 (as) 
  • Red Hat Enterprise Linux 4 (as) 
  • Red Hat Enterprise Linux 2.1 (es) 
  • Red Hat Enterprise Linux 3 (es) 
  • Red Hat Enterprise Linux 4 (es) 
  • Red Hat Enterprise Linux 2.1 (ws) 
  • Red Hat Enterprise Linux 3 (ws) 
  • Red Hat Enterprise Linux 4 (ws) 
  • Red Hat Enterprise Linux Desktop 3.0 
  • Red Hat Enterprise Linux Desktop 4.0 
  • Red Hat Enterprise Linux Desktop 5.0 (client) 
  • Red Hat Linux Advanced Workstation 2.1 
  • RHEL Desktop Workstation 5 (client) 

想定される影響

遠隔の第三者によって任意のコードを実行されたり、サービス運用妨害 (DoS) 攻撃を受けるなどの可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。
ベンダ情報

Mozilla Foundation
  • Mozilla Foundation Security Advisory : mfsa2009-10
  • Mozilla Foundation セキュリティアドバイザリ : mfsa2009-10
PNG Development Group アップル
  • Apple Security Updates : HT3549
  • Apple Security Updates : HT3613
  • Apple Security Updates : HT3639
  • Apple Security Updates : HT3757
  • Apple セキュリティアップデート : HT3549
  • Apple セキュリティアップデート : HT3613
  • Apple セキュリティアップデート : HT3639
  • Apple セキュリティアップデート : HT3757
オラクル サン・マイクロシステムズ
  • Sun Alert Notification : 259989
ニュートン フェンリル株式会社
  • フェンリル株式会社 : pictbear
ミラクル・リナックス
  • Asianux Technical Support Network : libpng-1.2.10-7.1.2.1AXS3
  • MIRACLE LINUX アップデート情報 : 1685
  • MIRACLE LINUX アップデート情報 : 1686
  • MIRACLE LINUX アップデート情報 : 1687
  • MIRACLE LINUX アップデート情報 : 1707
  • MIRACLE LINUX アップデート情報 : 1708
レッドハット 富士通
  • 富士通 セキュリティ情報 : VU#649212
  • 富士通 セキュリティ情報 : TA09-218A
CWEによる脆弱性タイプ一覧  CWEとは?

  1. コード・インジェクション(CWE-94) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2009-0040
参考情報

  1. JVN : JVNVU#649212
  2. JVN : JVNTA09-218A
  3. JVN Status Tracking Notes : JVNTR-2009-20
  4. National Vulnerability Database (NVD) : CVE-2009-0040
  5. US-CERT Cyber Security Alerts : SA09-218A
  6. US-CERT Vulnerability Note : VU#649212
  7. US-CERT Technical Cyber Security Alert : TA09-218A
  8. Secunia Advisory : SA33970
  9. Secunia Advisory : SA34145
  10. SecurityFocus : 33827
  11. ISS X-Force Database : 48819
  12. VUPEN Security : VUPEN/ADV-2009-0469
更新履歴

  • [2009年03月30日]
      掲載
    [2009年05月29日]
      影響を受けるシステム: アップル (HT3549) の情報を追加
      ベンダ情報:アップル (HT3549) を追加
      ベンダ情報:ミラクル・リナックス (1707) を追加
      ベンダ情報:ミラクル・リナックス (1708) を追加
    [2009年07月02日]
      影響を受けるシステム:アップル (HT3613) の情報を追加
      影響を受けるシステム:アップル (HT3639) の情報を追加
      影響を受けるシステム:サン・マイクロシステムズ (259989) の情報を追加
      ベンダ情報:アップル (HT3613) を追加
      ベンダ情報:アップル (HT3639) を追加
      ベンダ情報:サン・マイクロシステムズ (259989) を追加
    [2009年09月02日]
      影響を受けるシステム:アップル (HT3757) の情報を追加
      ベンダ情報:アップル (HT3757) を追加
    [2012年04月18日]
      ベンダ情報:オラクル (Multiple Denial of Service vulnerabilities in libpng) を追加